umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Enumerations | Functions
diagram_utils.h File Reference
`#include "basictypes.h"`
`#include <QString>`

Go to the source code of this file.

## Namespaces
namespace | Diagram_Utils

## Enumerations
enum | Diagram_Utils::SequenceLineFormat { Diagram_Utils::Invalid , Diagram_Utils::GDB , Diagram_Utils::QtCreatorGDB , Diagram_Utils::Simple }

## Functions
SequenceLineFormat | Diagram_Utils::detectSequenceLineFormat (const QStringList &lines)
bool | Diagram_Utils::importSequences (const QStringList &lines, UMLScene *scene, const QString &sourceHint)
bool | Diagram_Utils::importClassGraph (const QStringList &lines, UMLScene *scene, const QString &sourceHint)
bool | Diagram_Utils::importGraph (const QStringList &lines, UMLScene *scene, const QString &sourceHint)
bool | Diagram_Utils::importGraph (const QString &fileName, UMLScene *scene)
bool | Diagram_Utils::importGraph (const QMimeData *mimeData, UMLScene *scene)
bool | Diagram_Utils::isUniqueDiagramName (Uml::DiagramType::Enum type, QString &name)